Skip to content

Get bundle by projectId and bundleId
GA

Request

Retrieve created bundle and resources created.

Security
BasicAuth and BearerAuth and OAuth2Production
Path
projectIdstringrequired

The unique ID of the project. You can find this on the Sinch Dashboard.

bundleIdstringrequired

The unique ID of the bundle.

curl -i -X GET \
  -u '<username>:<password>' \
  'https://provisioning.api.sinch.com/v1/projects/{projectId}/bundles/{bundleId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Responds with the bundle created. At time of response the bundle might not be completed.

Bodyapplication/json
idstringrequired

Id of bundle created.

projectIdstringrequired

The project or subproject id where resources have been created.

statestring(BundlesBundleServicesState)required

Current state.

Enum:"DONE""FAILED""IN_PROGRESS"
regionstring(BundlesBundlesRegion)required

Region resources were create in.

Enum:"BR""EU""US"
namestring, <= 255 characters

Name of bundle created. If a name was not specified in the resource blocks then they were created with this name.

webhookDeliveryStatusesArray of objects(BundlesWebhookDeliveryStatusDto)

List delivery statuses for all BUNDLE_DONE webhooks.

subprojectobject(BundlesSubprojectDto)

Subproject created, if requested.

smsAppobject(BundlesBundlesSmsAppDto)

SMS App created, if requested.

convAppobject(BundlesConversationAppDto)

Conversation App created, if requested.

webhooksArray of objects(BundlesWebhookDto)

Webhooks registered, if requested.

Response

Response if the SMS App is not ready. This is the most likely response.

{ "id": "62a02dd40000000000000000", "projectId": "ea026751-3edf-40a9-ad93-1b382bd60a78", "name": "Sample response", "region": "US", "subproject": { "id": "ea026751-3edf-40a9-ad93-1b382bd60a78", "name": "Sample response", "parentProjectId": "18bbdcc8-117d-42f0-85cc-e30462c49404", "status": "PENDING" }, "smsApp": { "id": "54e5eb6cae6242c88c132c8da8bb1072", "smsServiceId": "d84b09da00fb4b76ff63f2fcea8d46c7", "name": "Sample response", "status": "PENDING_ADD", "regions": [ … ], "test": false }, "convApp": { "id": "31c12b1042d14b37ae96df96bb13575b", "name": "Sample response", "processingMode": "CONVERSATION" }, "webhooks": [ { … } ], "state": "IN_PROGRESS" }
We'd love to hear from you!
Rate this content: